There is a need to consume the cmake support downstream, and I see a few other fixes as well.

(Please no apr-util 1.6 and corresponding rush to cram a bunch of stuff in there like I and others did with apr 1.5 ;)  That can wait.)

--
Born in Roswell... married an alien...
http://emptyhammock.com/